Generate a picker token
This method generates a short-lived, read-only access token that you use with the provider’s file picker, such as the Google Drive Picker. The platform never returns the refresh token of the connection.
Authentication
x-api-keystring
Your API key.
<Note title="Note">
You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page.
</Note>
Path parameters
connection_id
The unique identifier of the connection.
Response
The picker token has been successfully generated.
access_token
A short-lived, read-only access token for use with the provider’s file picker.
expires_in
The number of seconds until the token expires.
scope
A space-delimited list of the scopes granted to the token.
app_id
The Google Cloud project number, used with the Google Picker’s setAppId. May be absent if the provider does not require this value for its picker.
developer_key
A browser API key, used with the Google Picker’s setDeveloperKey. May be absent if the provider does not require this value for its picker.
Errors
400
Bad Request Error
404
Not Found Error
409
Conflict Error